%define module diff-match-patch

Name:           python-%{module}
Version:        20230430
Release:        %mkrel 2
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/diff-match-patch/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(flit-core)

%description
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.

%package -n python3-%{module}
Summary:        Algorithms for synchronizing plain text
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
The Diff Match and Patch libraries offer robust algorithms to perform the
operations required for synchronizing plain text.


%prep
%setup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files diff_match_patch

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-3 -v

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE


%changelog
* Mon Feb 19 2024 daviddavid <daviddavid> 20230430-2.mga10
+ Revision: 2042479
- rebuild for py3.12

* Wed Aug 30 2023 daviddavid <daviddavid> 20230430-1.mga10
+ Revision: 1981820
- new version: 20230430
- switch to pyproject

* Sat Mar 26 2022 umeabot <umeabot> 20200713-4.mga9
+ Revision: 1828446
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 20200713-3.mga9
+ Revision: 1774357
- Rebuild for python 3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 20200713-2.mga9
+ Revision: 1707319
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 20200713-1.mga8
+ Revision: 1669363
- initial package python-diff-match-patch (needed for spyder)

